package schema

type SbServer struct {
	ID                  int64    `json:"id"`
	Name                string   `json:"name"`
	Bandwidth           int64    `json:"bandwidth"`
	CatID               int64    `json:"cat_id"`
	Category            string   `json:"category"`
	CPU                 string   `json:"cpu"`
	CPUCount            int8     `json:"cpu_count"`
	Datacenter          string   `json:"datacenter"`
	DatacenterHr        string   `json:"datacenter_hr"`
	Description         []string `json:"description"`
	Dist                []string `json:"dist"`
	FixedPrice          bool     `json:"fixed_price"`
	Drive               []string `json:"hdd_arr"`
	DriveCount          int8     `json:"hdd_count"`
	DriveHr             []string `json:"hdd_hr"`
	DriveSize           int64    `json:"hdd_size"`
	Information         []string `json:"information"`
	ECC                 bool     `json:"is_ecc"`
	HighIO              bool     `json:"is_highio"`
	Key                 int64    `json:"key"`
	NextReduce          int64    `json:"next_reduce"`
	NextReduceHr        bool     `json:"next_reduce_hr"`
	NextReduceTimestamp int64    `json:"next_reduce_timestamp"`
	Price               int64    `json:"price"`
	Ram                 []string `json:"ram"`
	RamSize             int64    `json:"ram_size"`
	DiskData            struct {
		General    []int `json:"general"`
		HDD        []int `json:"hdd"`
		NVMe       []int `json:"nvme"`
		SATA       []int `json:"sata"`
		SetupPrice int64 `json:"setup_price"`
	} `json:"serverDiskData"`
	Specials []string `json:"specials"`
	Traffic  string   `json:"traffic"`
}

type SbServerList struct {
	SbServers   []SbServer `json:"server"`
	ServerCount int64      `json:"serverCount"`
}
